- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QPickLineEvent
- Qt 6.9.2 Reference Documentation

# Qt3DRender::QPickLineEvent Class

class Qt3DRender::QPickLineEvent

The QPickLineEvent class holds information when a segment of a line is picked. More...

Header: | `#include <QPickLineEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | PickLineEvent
Inherits: | Qt3DRender::QPickEvent
Status: | Deprecated

- List of all members, including inherited members

## Properties

- edgeIndex : const uint
- vertex1Index : const uint
- vertex2Index : const uint

## Public Functions

| QPickLineEvent()
uint | edgeIndex() const
uint | vertex1Index() const
uint | vertex2Index() const

## Detailed Description

See also QPickEvent.

## Property Documentation

### `[read-only]` edgeIndex : const uint

Specifies the index of the edge that was picked

Access functions:

uint | edgeIndex() const

### `[read-only]` vertex1Index : const uint

Specifies the index of the first point of the picked edge

Access functions:

uint | vertex1Index() const

### `[read-only]` vertex2Index : const uint

Specifies the index of the second point of the picked edge

Access functions:

uint | vertex2Index() const

## Member Function Documentation

### QPickLineEvent::QPickLineEvent()

Constructs a new QPickEvent.

### uint QPickLineEvent::edgeIndex() const

QPickLineEvent::edgeIndex Returns the index of the picked edge

Note: Getter function for property edgeIndex.

### uint QPickLineEvent::vertex1Index() const

QPickLineEvent::vertex1Index Returns the index of the first point of the picked edge

Note: Getter function for property vertex1Index.

### uint QPickLineEvent::vertex2Index() const

QPickLineEvent::vertex2Index Returns the index of the second point of the picked triangle

Note: Getter function for property vertex2Index.